Allocators
Memory
Collaboration diagram for Allocators:

## Classes

struct | __gnu_cxx::__alloc_traits< _Alloc >
class | __gnu_cxx::__mt_alloc< _Tp, _Poolp >
class | __gnu_cxx::__pool_alloc< _Tp >
class | __gnu_cxx::_ExtPtr_allocator< _Tp >
class | __gnu_cxx::array_allocator< typename, typename >
class | __gnu_cxx::bitmap_allocator< typename >
class | __gnu_cxx::debug_allocator< _Alloc >
class | __gnu_cxx::malloc_allocator< typename >
class | __gnu_cxx::new_allocator< typename >
class | __gnu_cxx::throw_allocator_base< _Tp, _Cond >
class | std::allocator< _Tp >
class | std::allocator< void >
struct | std::allocator_traits< _Alloc >
class | std::scoped_allocator_adaptor< _OuterAlloc, _InnerAllocs >
struct | std::uses_allocator< typename, typename >

## Typedefs

template<typename _Tp >
using | std::__allocator_base = __gnu_cxx::new_allocator< _Tp >

## Functions

template<typename _Alloc >
auto | std::__do_outermost (_Alloc &__a, _Alloc *) -> decltype(__a.outer_allocator())
template<typename _Alloc >
_Alloc & | std::__do_outermost (_Alloc &__a,...)
template<typename _Alloc >
auto | std::__outermost (_Alloc &__a) -> decltype(__do_outermost(__a,&__a))
template<typename _T1 , typename _T2 >
bool | std::operator!= (const allocator< _T1 > &, const allocator< _T2 > &)
template<typename _Tp >
bool | std::operator!= (const allocator< _Tp > &, const allocator< _Tp > &)
template<typename _OutA1 , typename _OutA2 , typename... _InA>
bool | std::operator!= (const scoped_allocator_adaptor< _OutA1, _InA...> &__a, const scoped_allocator_adaptor< _OutA2, _InA...> &__b) noexcept
template<typename _T1 , typename _T2 >
bool | std::operator== (const allocator< _T1 > &, const allocator< _T2 > &)
template<typename _Tp >
bool | std::operator== (const allocator< _Tp > &, const allocator< _Tp > &)
template<typename _OutA1 , typename _OutA2 , typename... _InA>
bool | std::operator== (const scoped_allocator_adaptor< _OutA1, _InA...> &__a, const scoped_allocator_adaptor< _OutA2, _InA...> &__b) noexcept

## Detailed Description

Classes encapsulating memory operations.

## Typedef Documentation

template<typename _Tp >

using std::__allocator_base = typedef __gnu_cxx::new_allocator<_Tp>

An alias to the base class for std::allocator.Used to set the std::allocator base class to __gnu_cxx::new_allocator.

Template Parameters

  _Tp | Type of allocated object.

Definition at line 48 of file c++allocator.h.